Bug 255135 - x11-themes/numix-icon-theme-circle: Update to 21.04.14
Summary: x11-themes/numix-icon-theme-circle: Update to 21.04.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/numixproject/numix...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-16 22:07 UTC by Alexander Vereeken
Modified: 2021-04-18 16:06 UTC (History)
1 user (show)

See Also:


Attachments
numix-icon-theme-circle-21.04.14.diff (120.09 KB, patch)
2021-04-16 22:07 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2021-04-16 22:07:33 UTC
Created attachment 224173 [details]
numix-icon-theme-circle-21.04.14.diff

Hello,

an update to 21.04.14.

Many thanks in advance!
Comment 1 commit-hook freebsd_committer 2021-04-17 02:20:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0cbfead46e54c54a8ebcbf494682444462c1a67d

commit 0cbfead46e54c54a8ebcbf494682444462c1a67d
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-17 02:18:30 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-17 02:19:45 +0000

    x11-themes/numix-icon-theme-circle: Update to 21.04.14

    Changes https://github.com/numixproject/numix-icon-theme-circle/releases/tag/21.04.14

    PR:             255135
    Approved by:    Alexander Vereeken <Alexander88207@protonmail.com> (maintainer)

 .../numix-icon-theme-circle/Makefile (mode +x)     |   2 +-
 .../numix-icon-theme-circle/distinfo (mode +x)     |   6 +-
 .../numix-icon-theme-circle/pkg-descr (mode +x)    |   0
 x11-themes/numix-icon-theme-circle/pkg-plist       | 412 ++++++++++++++++++++-
 4 files changed, 414 insertions(+), 6 deletions(-)
Comment 2 Kevin Bowling freebsd_committer 2021-04-17 02:21:31 UTC
Thanks for your contribution!
Comment 3 commit-hook freebsd_committer 2021-04-18 06:25:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d237c448566531207343487c8a2dbcb38a01606c

commit d237c448566531207343487c8a2dbcb38a01606c
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-18 06:20:10 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-18 06:24:52 +0000

    x11-themes/numix-icon-theme-circle: fix perms

    These files should not have been checked in with the permissions in the
    submitted patch. I did not catch this problem because I used git apply
    and git diff to integrate the changes and didn't see where the mode
    changes in the diff.

    PR:             255135
    Fixes:  0cbfead46e54 x11-themes/numix-icon-theme-circle: Update to 21.04.14

 x11-themes/numix-icon-theme-circle/Makefile (mode -x)  | 0
 x11-themes/numix-icon-theme-circle/distinfo (mode -x)  | 0
 x11-themes/numix-icon-theme-circle/pkg-descr (mode -x) | 0
 3 files changed, 0 insertions(+), 0 deletions(-)
Comment 4 Kevin Bowling freebsd_committer 2021-04-18 06:27:03 UTC
(In reply to Alexander Vereeken from comment #0)
Please check your editing or git environment in the future.  This patch added the executable bit to the changed files which is undesirable.
Comment 5 Alexander Vereeken 2021-04-18 16:06:47 UTC
Thanks. I didn't realize that either and sorry for the inconvenience.